package cz.muni.fi.pb162.graphics;

public class ObjectFactory
{
    public static GraphicObject createRectangle(String color, int width, int height) {
        return new Rectangle(color, width, height);
    }
    
    public static GraphicObject createCircle(String color, Point center, double radius) {
        return new Circle(color, center, radius);
    }
    
    public static GraphicObject createPolygon(String color, Point[] points) {
        Polygon ret = null;
        try {
            ret = new Polygon(color, points);
        } catch(EmptyPolygonException ex) {
            System.err.println("Prazdny polygon: " + ex.getMessage());
        } catch(BrokenPolygonException ex) {
            System.err.println("Spatne vrcholy: " + ex.getMessage());
        }
        return ret;
    }
}
